GET /v2/quests/:quest_id/quests_users
Return all the quests users of the given Quest
GET /v2/users/:user_id/quests_users
Return all the quests users of the given User
GET /v2/quests_users
Return all the quests users
live_help Notes
chrome_reader_mode
This resource is paginated by 30 items
settings Params
| Param name | Description |
|---|---|
| quest_id |
optional
. Must be String
The quest id or slug |
| user_id |
optional
. Must be String
The user id or slug |
| sort |
optional
. Must be one of: id, quest_id, user_id, end_at, validated_at, prct, advancement, created_at, updated_at.
The sort field. Sorted by id desc by default. MoreExample:To sort on quests users on the fields created_at on a descending order and updated_at on a ascending order: ...&sort=-created_at,updated_at |
| filter |
optional
. Must be one of: id, quest_id, user_id, end_at, validated_at, prct, advancement, created_at, updated_at, campus_id, end, validated.
Filtering on one or more fields MoreExample:
To filter on quests users with the
...&filter[id]=a_value,another_value Filterable fields:
|
| range |
optional
. Must be one of: id, quest_id, user_id, end_at, validated_at, prct, advancement, created_at, updated_at.
Select on a particular range MoreExample:
To range on quests users with the
...&range[updated_at]=min_value,max_value Rangeable fields:
|
| page |
optional
. Must be a Hash
The pagination params, as a hash |
| page[number] |
optional
. Must be Fixnum
The current page |
| page[size] |
optional
. Must be Fixnum
The number of items per page, defaults to 30, maximum 100 |
Examples
GET /v2/quests_users
200
[
{
"id": 5,
"end_at": null,
"quest_id": 1,
"validated_at": null,
"prct": null,
"advancement": null,
"created_at": "2017-11-22T13:42:11.488Z",
"updated_at": "2017-11-22T13:42:11.488Z",
"user": {
"id": 113,
"login": "bhutt3",
"url": "https://api.intra.42.fr/v2/users/bhutt3"
},
"quest": {
"id": 1,
"name": "Level 14",
"slug": "level-14",
"kind": "main",
"internal_name": null,
"description": "Reach the level 14.",
"cursus_id": 2,
"campus_id": null,
"created_at": "2017-11-22T13:42:11.464Z",
"updated_at": "2017-11-22T13:42:11.464Z",
"grade_id": null,
"position": 1
}
},
{
"id": 4,
"end_at": null,
"quest_id": 1,
"validated_at": null,
"prct": null,
"advancement": null,
"created_at": "2017-11-22T13:42:11.484Z",
"updated_at": "2017-11-22T13:42:11.484Z",
"user": {
"id": 53,
"login": "dvader",
"url": "https://api.intra.42.fr/v2/users/dvader"
},
"quest": {
"id": 1,
"name": "Level 14",
"slug": "level-14",
"kind": "main",
"internal_name": null,
"description": "Reach the level 14.",
"cursus_id": 2,
"campus_id": null,
"created_at": "2017-11-22T13:42:11.464Z",
"updated_at": "2017-11-22T13:42:11.464Z",
"grade_id": null,
"position": 1
}
},
{
"id": 3,
"end_at": null,
"quest_id": 1,
"validated_at": null,
"prct": null,
"advancement": null,
"created_at": "2017-11-22T13:42:11.480Z",
"updated_at": "2017-11-22T13:42:11.480Z",
"user": {
"id": 15,
"login": "mwindu",
"url": "https://api.intra.42.fr/v2/users/mwindu"
},
"quest": {
"id": 1,
"name": "Level 14",
"slug": "level-14",
"kind": "main",
"internal_name": null,
"description": "Reach the level 14.",
"cursus_id": 2,
"campus_id": null,
"created_at": "2017-11-22T13:42:11.464Z",
"updated_at": "2017-11-22T13:42:11.464Z",
"grade_id": null,
"position": 1
}
}
]
curl -H "Authorization: Bearer YOUR_ACCESS_TOKEN" "https://api.intra.42.fr/v2/quests_users"
[
{
"id": 5,
"end_at": null,
"quest_id": 1,
"validated_at": null,
"prct": null,
"advancement": null,
"created_at": "2017-11-22T13:42:11.488Z",
"updated_at": "2017-11-22T13:42:11.488Z",
"user": {
"id": 113,
"login": "bhutt3",
"url": "https://api.intra.42.fr/v2/users/bhutt3"
},
"quest": {
"id": 1,
"name": "Level 14",
"slug": "level-14",
"kind": "main",
"internal_name": null,
"description": "Reach the level 14.",
"cursus_id": 2,
"campus_id": null,
"created_at": "2017-11-22T13:42:11.464Z",
"updated_at": "2017-11-22T13:42:11.464Z",
"grade_id": null,
"position": 1
}
},
{
"id": 4,
"end_at": null,
"quest_id": 1,
"validated_at": null,
"prct": null,
"advancement": null,
"created_at": "2017-11-22T13:42:11.484Z",
"updated_at": "2017-11-22T13:42:11.484Z",
"user": {
"id": 53,
"login": "dvader",
"url": "https://api.intra.42.fr/v2/users/dvader"
},
"quest": {
"id": 1,
"name": "Level 14",
"slug": "level-14",
"kind": "main",
"internal_name": null,
"description": "Reach the level 14.",
"cursus_id": 2,
"campus_id": null,
"created_at": "2017-11-22T13:42:11.464Z",
"updated_at": "2017-11-22T13:42:11.464Z",
"grade_id": null,
"position": 1
}
},
{
"id": 3,
"end_at": null,
"quest_id": 1,
"validated_at": null,
"prct": null,
"advancement": null,
"created_at": "2017-11-22T13:42:11.480Z",
"updated_at": "2017-11-22T13:42:11.480Z",
"user": {
"id": 15,
"login": "mwindu",
"url": "https://api.intra.42.fr/v2/users/mwindu"
},
"quest": {
"id": 1,
"name": "Level 14",
"slug": "level-14",
"kind": "main",
"internal_name": null,
"description": "Reach the level 14.",
"cursus_id": 2,
"campus_id": null,
"created_at": "2017-11-22T13:42:11.464Z",
"updated_at": "2017-11-22T13:42:11.464Z",
"grade_id": null,
"position": 1
}
}
]
require "oauth2"
UID = "Your application uid"
SECRET = "Your application secret"
client = OAuth2::Client.new(UID, SECRET, site: "https://api.intra.42.fr")
token = client.client_credentials.get_token
response = token.get("/v2/quests_users")
response.status
# => 200
response.parsed
# => [{"id"=>5, "end_at"=>nil, "quest_id"=>1, "validated_at"=>nil, "prct"=>nil, "advancement"=>nil, "created_at"=>"2017-11-22T13:42:11.488Z", "updated_at"=>"2017-11-22T13:42:11.488Z", "user"=>{"id"=>113, "login"=>"bhutt3", "url"=>"https://api.intra.42.fr/v2/users/bhutt3"}, "quest"=>{"id"=>1, "name"=>"Level 14", "slug"=>"level-14", "kind"=>"main", "internal_name"=>nil, "description"=>"Reach the level 14.", "cursus_id"=>2, "campus_id"=>nil, "created_at"=>"2017-11-22T13:42:11.464Z", "updated_at"=>"2017-11-22T13:42:11.464Z", "grade_id"=>nil, "position"=>1}}, {"id"=>4, "end_at"=>nil, "quest_id"=>1, "validated_at"=>nil, "prct"=>nil, "advancement"=>nil, "created_at"=>"2017-11-22T13:42:11.484Z", "updated_at"=>"2017-11-22T13:42:11.484Z", "user"=>{"id"=>53, "login"=>"dvader", "url"=>"https://api.intra.42.fr/v2/users/dvader"}, "quest"=>{"id"=>1, "name"=>"Level 14", "slug"=>"level-14", "kind"=>"main", "internal_name"=>nil, "description"=>"Reach the level 14.", "cursus_id"=>2, "campus_id"=>nil, "created_at"=>"2017-11-22T13:42:11.464Z", "updated_at"=>"2017-11-22T13:42:11.464Z", "grade_id"=>nil, "position"=>1}}, {"id"=>3, "end_at"=>nil, "quest_id"=>1, "validated_at"=>nil, "prct"=>nil, "advancement"=>nil, "created_at"=>"2017-11-22T13:42:11.480Z", "updated_at"=>"2017-11-22T13:42:11.480Z", "user"=>{"id"=>15, "login"=>"mwindu", "url"=>"https://api.intra.42.fr/v2/users/mwindu"}, "quest"=>{"id"=>1, "name"=>"Level 14", "slug"=>"level-14", "kind"=>"main", "internal_name"=>nil, "description"=>"Reach the level 14.", "cursus_id"=>2, "campus_id"=>nil, "created_at"=>"2017-11-22T13:42:11.464Z", "updated_at"=>"2017-11-22T13:42:11.464Z", "grade_id"=>nil, "position"=>1}}]